com.mysql.cj.callback

## Class OpenidConnectIdTokenFromFileCallbackHandler

- java.lang.Object
- - com.mysql.cj.callback.OpenidConnectIdTokenFromFileCallbackHandler

All Implemented Interfaces:
  MysqlCallbackHandler

    public class OpenidConnectIdTokenFromFileCallbackHandler
    extends Object
    implements MysqlCallbackHandler

A callback handler that reads an OpenID Identity Token from a file. The file containing the Identity Token must exist and not be larger than 10KB.

### Field Summary

Fields
`private static int` `ID_TOKEN_SIZE_LIMIT`

### Constructor Summary

Constructors
`OpenidConnectIdTokenFromFileCallbackHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle(MysqlCallback cb)` Exchanges information between the caller of this method and the owner of the `MysqlCallbackHandler` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_TOKEN_SIZE_LIMIT

    private static final int ID_TOKEN_SIZE_LIMIT

See Also:
  Constant Field Values

### Constructor Detail

#### OpenidConnectIdTokenFromFileCallbackHandler

    public OpenidConnectIdTokenFromFileCallbackHandler()

### Method Detail

#### handle

    public void handle(MysqlCallback cb)

Description copied from interface: `MysqlCallbackHandler`
Exchanges information between the caller of this method and the owner of the `MysqlCallbackHandler` instance. The method can be called multiple times with different callback implementations to exchange different types of information. A typical `MysqlCallbackHandler` implementation looks like:

     private MysqlCallbackHandler callbackHandler = (cb) -> {
         if (cb instanceof UsernameCallback) {
             this.username = ((UsernameCallback) cb).getUsername();
         }
     };

Specified by:
  `handle` in interface `MysqlCallbackHandler`
Parameters:
  `cb` - the `MysqlCallback` to process

Copyright © 2016, 2026, Oracle and/or its affiliates.